.cases-tab {
  display: none;
  margin-top: 30px;
}

.cases-tab.active {
  display: block;
}

.cases-tab-grid {
  display: flex;
  flex-wrap: wrap;
  /* align-items: center; */
  gap: 20px;
  /* justify-content: space-between; */
}

/*[data-tab="9"] .cases-tab__inner:nth-child(1) .cases-tab-grid {
  gap: 70px 20px;
}

@media (max-width: 1300px) {
  [data-tab="9"] .cases-tab__inner:nth-child(1) .cases-tab-grid {
    gap: 20px 10px;
  }
}*/

/*новые стили*/

[data-tab="9"] .cases-tab__inner:nth-child(1) .cases-tab-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 6fr));
  gap: 40px 20px;

  @media (max-width: 768px) {
    grid-template-columns: repeat(2, 50%);
    gap: 0;
  }

  .case{
    width: auto;
    position: relative;

    .case-image {
      border-radius: 20px;
      overflow: hidden;

      @media (max-width: 768px) {
        border-radius: 0;
      }

      img {
        aspect-ratio: 0.79;
        object-fit: cover;
      }
    }

    &::before {
      display: none;
      content: url("data:image/svg+xml;charset=UTF-8,%3csvg viewBox='0 0 30 30' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M27.1582 6.71207C28.8306 7.44325 30 9.11063 30 11.0526V20.5263C30 25.7585 25.7585 30 20.5263 30H11.0526C9.11063 30 7.44325 28.8306 6.71207 27.1582H18.9474C23.4819 27.1582 27.1582 23.4819 27.1582 18.9474V6.71207Z' fill='white' /%3e%3cpath d='M0 4.73684C0 2.12076 2.12076 0 4.73684 0H18.9474C21.5635 0 23.6842 2.12076 23.6842 4.73684V18.9474C23.6842 21.5635 21.5635 23.6842 18.9474 23.6842H4.73684C2.12076 23.6842 0 21.5635 0 18.9474V4.73684Z' fill='white' /%3e%3c/svg%3e");
      position: absolute;
      top: 15px;
      right: 15px;
      width: 20px;
      height: 20px;
      z-index: 2;
      pointer-events: none;
    }

    @media (max-width: 768px) {
      &::before {
        display: block;
      }
    }

    .case-title {
      display: none;
    }
  }

  .case-thumbs {
    max-height: none;
    margin-bottom: 0;

    .case-thumbs__img {
      border-radius: 8px;
    }

    .case-thumbs__description {
      display: none;
      margin-top: 20px;
      /*display: flex;*/
      flex-direction: column;
      gap: 10px;
    }

    .case-thumbs__card-note {
      margin: 0;
      font-weight: 400;
      font-size: 18px;
      line-height: 1.1;
      color: #58585a;
    }

    .case-thumbs__card-title {
      margin: 0;
      font-weight: 700;
      font-size: 26px;
      line-height: 1.1;
      color: #000;
    }
  }

  .case-desc {
    display: none;
  }

}

[data-tab="9"] .cases-tab__inner:nth-child(2) .cases-tab-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 6fr));
  gap: 20px;

  @media (max-width: 768px) {
    grid-template-columns: repeat(2, 1fr);
    gap: 0;
  }

  .case {
    width: auto;
    aspect-ratio: 0.79;
    border-radius: 30px;
    overflow: hidden;

    @media (max-width: 768px) {
      border-radius: 0;
    }

    .case-main {
      height: 100%;
    }

    .case-image {
      @media (max-width: 768px) {
        border-radius: 0;
      }
    }

    img {
      height: 100%;
      object-fit: cover;
    }
  }
}

[data-tab="9"] .case {
  flex: 0 1 auto;
  width: 16%;

  @media (max-width: 1200px) {
    width: 25%;
  }

  @media (max-width: 768px) {
    width: 33.3%;
  }

  @media (max-width: 562px) {
    width: 50%;
  }
}

.cases-tab-viniri .cases-tab-grid__slider {
  display: none;
}

.cases-tab-viniri .cases-tab-grid {
  @media (max-width: 768px) {
    margin: 0 -15px;
  }
}

.cases-tab-viniri .case-thumbs {
  max-width: 94%;

  .swiper-slide {
    border-radius: 0;
  }

  @media (max-width: 768px) {
    display: none;
  }
}

.cases-tab-viniri .case .swiper-pagination {
  @media (max-width: 768px) {
    display: none;
  }
}

/*/новые стили*/

.case {
  width: calc(25% - 15px);
}

.cases-tab-grid .cases-tab-grid__slider {
  width: calc(75% - 15px);
}

.cases-tab-grid .gallery-swiper__image {
  height: 400px;
}

@media screen and (max-width: 1300px) {
  .cases-tab-grid .cases-tab-grid__slider {
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .cases-tab-grid .gallery-swiper__image {
    width: 100%;
    height: 239px;
  }
}

@media screen and (min-width: 1780px) {
  .case {
    width: calc(20% - 20px);
  }

  .cases-tab-grid .cases-tab-grid__slider {
    width: calc(60% - 20px);
  }
}

.case-thumbs {
  height: auto;
  max-height: 64px;
  margin-top: 10px;
  margin-bottom: 28px;
}

@media screen and (max-width: 768px) {
  .case-thumbs {
    /* height: 28px; */
    margin-top: 8px;
    margin-bottom: 14px;
  }
}

.case-thumbs .swiper,
.case-thumbs .swiper-slide,
.case-thumbs img {
  height: 100%;
  width: 100%;
}

.case-thumbs .swiper-slide {
  border-radius: 10px;
  overflow: hidden;
  display: flex;
}

@media screen and (max-width: 768px) {
  .case-thumbs .swiper-slide {
    border-radius: 5px;
  }
}

.case-thumbs img {
  object-fit: cover;
}

.case-desc {
  color: #58585a;
  font-size: 18px;
  font-weight: 400;
  line-height: 120%;
  margin-bottom: 10px;
  /* height: 22px; */
}

@media screen and (max-width: 768px) {
  .case-desc {
    font-size: 12px;
    /* height: 14px; */
    margin-bottom: 6px;
  }
}

.case-title {
  color: #000;
  font-size: 26px;
  font-weight: 700;
  line-height: 100%;
  /* height: 52px; */
}

@media screen and (max-width: 768px) {
  .case-title {
    font-size: 16px;
    /* height: 32px; */
  }
}

.case-image {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  border-radius: 30px;
  overflow: hidden;
}

@media screen and (max-width: 768px) {
  .case-image {
    border-radius: 20px;
  }
}

@media screen and (max-width: 1300px) {
  .cases-tab {
    margin-top: 20px;
  }

  .cases-tab-grid {
    gap: 30px 10px;
  }

  .case {
    width: calc(50% - 5px);
  }
}

.cases-title {
  display: block;
  font-family: Circe;
  font-size: 36px;
  font-weight: 700;
  line-height: 48px;
  text-align: left;
  color: var(--default-violet);
  margin-bottom: 10px;
  margin-top: 16px;
}

.cases-tab-viniri .cases-title {
  font-size: 52px;
  text-transform: uppercase;
  margin: 50px 0;
}

@media (max-width: 768px) {
  .cases-tab-viniri .cases-title {
    font-size: 25px;
    text-align: center;
    line-height: 30px;
    margin: 20px 0;
  }
}

.cases-subtitle {
  font-family: Circe;
  font-size: 24px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  margin-bottom: 30px;
}

.cases-subtitle+.cases-tab-grid {
  margin-bottom: 30px;
}

@media (max-width: 1300px) {
  .cases-title {
    font-size: 25px;
    line-height: 25px;
  }

  .cases-subtitle {
    font-size: 18px;
    line-height: 18px;
  }
}

.cases-tabs-preview {
  display: flex;
  align-items: flex-start;
  flex-wrap: nowrap;
  gap: 12px;
  margin-bottom: 36px;
  overflow: auto;
  overflow-y: hidden;
}

.cases-tabs-preview::-webkit-scrollbar {
  display: none;
}

@media (max-width: 768px) {
  .cases-tabs-preview {
    margin-bottom: 20px;
    margin-left: -15px;
    margin-right: -15px;
    padding-left: 15px;
    padding-right: 15px;
  }
}

.cases-tabs-preview-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  cursor: pointer;
}

.cases-tabs-preview-item__image {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  border: 1px solid transparent;
  transition: border-color 0.3s ease-in-out;
  overflow: hidden;
}

@media screen and (max-width: 1780px) {
  .cases-tabs-preview-item__image {
    width: 90px;
    height: 90px;
  }
}

@media screen and (max-width: 1100px) {
  .cases-tabs-preview-item__image {
    width: 60px;
    height: 60px;
  }
}

@media (max-width: 768px) {
  .cases-tabs-preview-item__image {
    width: 52px;
    height: 52px;
  }

  .cases-tabs-preview-item {
    gap: 6px;
  }
}

.cases-tabs-preview-item__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease-in-out;
}

.cases-tabs-preview-item__name {
  color: #000;
  font-size: 16px;
  font-weight: 700;
  line-height: 100%;
  transition: color 0.3s ease-in-out;
  text-transform: none;
  max-width: 120px;
  text-align: center;
}

@media screen and (max-width: 1780px) {
  .cases-tabs-preview-item__name {
    max-width: 90px;
    font-size: 14px;
  }
}

@media screen and (max-width: 1100px) {
  .cases-tabs-preview-item__name {
    font-size: 11px;
    height: 22px;
  }
}

.cases-tabs-preview-item:hover .cases-tabs-preview-item__image img {
  transform: scale(1.1);
}

.cases-tabs-preview-item.active .cases-tabs-preview-item__name,
.cases-tabs-preview-item:hover .cases-tabs-preview-item__name {
  color: #894c9d;
}

.cases-tabs-preview-item.active .cases-tabs-preview-item__image,
.cases-tabs-preview-item:hover .cases-tabs-preview-item__image {
  border-color: #894c9d;
}

@media (max-width: 768px) {
  .header_title {
    display: none;
  }

  .cases-header__title .header_title {
    display: flex;
  }

  .hasImage .cases-header__title .header_title .h1 {
    font-size: 30px;
    line-height: 36px;
  }
}

.cases-header {
  position: relative;
  height: 230px;
  margin-top: 10px;
  margin-bottom: 20px;
  display: none;
}

@media (max-width: 768px) {
  .cases-header {
    display: block;
  }
}

.cases-header__image {
  border-radius: 18px;
  height: 100%;
  overflow: hidden;
}

.cases-header__image img {
  max-width: 100%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}